Bug 1918649

Summary: beaker: GSSAPI interface uses base64.encodestring removed in Python 3.9
Product: [Fedora] Fedora Reporter: Florian Weimer <fweimer>
Component: beakerAssignee: Martin Styk <martstyk>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 33CC: djc, greg.hellings, martstyk, rebarbos
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: beaker-28.1-1.fc33 beaker-28.1-1.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-29 02:34:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Florian Weimer 2021-01-21 10:10:41 UTC
The bkr client appears to be unusable on Fedora 33:

$ bkr system-list --mine
Traceback (most recent call last):
  File "/usr/bin/bkr", line 33, in <module>
    sys.exit(load_entry_point('beaker-client==28.0', 'console_scripts', 'bkr')())
  File "/usr/lib/python3.9/site-packages/bkr/client/main.py", line 113, in main
    return cmd.run(*cmd_args, **cmd_opts.__dict__)
  File "/usr/lib/python3.9/site-packages/bkr/client/commands/cmd_system_list.py", line 246, in run
    self.set_hub(**kwargs)
  File "/usr/lib/python3.9/site-packages/bkr/client/__init__.py", line 84, in set_hub
    self.container.set_hub(username, password, auto_login=self.requires_login,
  File "/usr/lib/python3.9/site-packages/bkr/client/command.py", line 328, in set_hub
    self.hub = HubProxy(conf=self.conf, auto_login=auto_login)
  File "/usr/lib/python3.9/site-packages/bkr/common/hub.py", line 87, in __init__
    self._login()
  File "/usr/lib/python3.9/site-packages/bkr/common/hub.py", line 114, in _login
    login_method()
  File "/usr/lib/python3.9/site-packages/bkr/common/hub.py", line 206, in _login_krbv
    req_enc = base64.encodestring(res.token)
AttributeError: module 'base64' has no attribute 'encodestring'
$ rpm -qf /usr/lib/python3.9/site-packages/bkr/common/hub.py
beaker-common-28.0-1.fc33.noarch

I'm going to fix. Please object if you don't want me to.

Comment 1 Renan Rodrigo Barbosa 2021-01-21 10:35:08 UTC
This is fixed in 28.1.

Comment 2 Martin Styk 2021-01-21 10:43:47 UTC
I will handle it. We just need to release new version of Beaker in Fedora.

Comment 3 Fedora Update System 2021-01-28 16:25:39 UTC
FEDORA-2021-2893fa138a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2893fa138a

Comment 4 Fedora Update System 2021-01-28 16:33:39 UTC
FEDORA-2021-72a80d16e3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-72a80d16e3

Comment 5 Fedora Update System 2021-01-29 02:34:53 UTC
FEDORA-2021-2893fa138a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-01-29 02:52:49 UTC
FEDORA-2021-72a80d16e3 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-72a80d16e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-72a80d16e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-02-06 01:30:20 UTC
FEDORA-2021-72a80d16e3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.